# The MongoDB\Driver\WriteError class

(mongodb >=1.0.0)

## Introduction

The MongoDB\Driver\WriteError class encapsulates information about a write error and may be returned as an array element from MongoDB\Driver\WriteResult::getWriteErrors().

## Class synopsis

final MongoDB\Driver\WriteError {
/* Methods */
final public getCode ( void ) : int
final public getIndex ( void ) : int
final public getInfo ( void ) : mixed
final public getMessage ( void ) : string
}

## Table of Contents

- MongoDB\Driver\WriteError::getCode — Returns the WriteError's error code
- MongoDB\Driver\WriteError::getIndex — Returns the index of the write operation corresponding to this WriteError
- MongoDB\Driver\WriteError::getInfo — Returns additional metadata for the WriteError
- MongoDB\Driver\WriteError::getMessage — Returns the WriteError's error message